Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.analyser
Class PageCache

    java.lang.Object
      org.makumba.analyser.PageCache

    public class PageCache

extends Object

Cache for the page analysis. It is passed along during analysis and holds useful caches. This class provides two methods to add/retrieve caches throughout the analysis process.

Version:
  $Id: PageCache.java 3694 2009-02-11 00:41:05Z rosso_nero $
Author:
  Cristian Bogdan, Manuel Gay, Rudolf Mayer

Constructor Summary
`PageCache()`

Method Summary
`void` | `cache(String cacheName, Object key, Object value)` Caches an object in a specific cache
`void` | `cacheSetValues(String cacheName, Object[] value)` Caches several objects in a specific cache, using sets, i.e. not keeping duplicate values.
`Object` | `retrieve(String cacheName, Object key)` Retrieves an object of a specific cache
`Map<Object,Object>` | `retrieveCache(String cacheName)` Gets a whole cache
`org.apache.commons.collections.set.ListOrderedSet` | `retrieveSetValues(String cacheName)` Retrieves a set from a specific set cache.
`String` | `toString()`
`String` | `toString(String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PageCache

    public PageCache()

Method Detail

### cache

    public void cache(String cacheName,
                      Object key,
                      Object value)

  Caches an object in a specific cache

  Parameters:
    `cacheName` - the name of the cache we want to work with
    `key` - the key of the object in this cache
    `value` - the value of the object to be cached

### retrieve

    public Object retrieve(String cacheName,
                           Object key)

  Retrieves an object of a specific cache

  Parameters:
    `cacheName` - the name of the cache we want to work with
    `key` - the key of the object in this cache
  Returns:
    the object corresponding to the cache entry, `null` if no entry exists

### retrieveCache

    public Map<Object,Object> retrieveCache(String cacheName)

  Gets a whole cache

  Parameters:
    `cacheName` - the name of the cache
  Returns:
    a Map with the content of the cache

### cacheSetValues

    public void cacheSetValues(String cacheName,
                               Object[] value)

  Caches several objects in a specific cache, using sets, i.e. not keeping duplicate values.

### retrieveSetValues

    public org.apache.commons.collections.set.ListOrderedSet retrieveSetValues(String cacheName)

  Retrieves a set from a specific set cache.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toString

    public String toString(String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20